package com.seer.teach.mp.enums;


import lombok.Getter;

/**
 * 申请类型枚举
 */
@Getter
public enum ApplicationTypeEnum {

    /**
     * 经销商
     */
    DISTRIBUTOR(1, "经销商"),

    /**
     * 个人
     */
    INDIVIDUAL(2, "个人"),

    /**
     * 企业
     */
    ENTERPRISE(3, "企业");

    ApplicationTypeEnum(int code, String description) {
        this.code = code;
        this.description = description;
    }

    private final int code;

    private final String description;
}
